Add a batch of events to a session
curl --request POST \
--url https://api.honeyhive.ai/v1/sessions/{session_id}/events/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"events": [
{
"inputs": {},
"project_id": "<string>",
"source": "<string>",
"event_name": "<string>",
"event_id": "<string>",
"session_id": "<string>",
"parent_id": "<string>",
"children_ids": [
"<string>"
],
"config": {},
"outputs": {},
"error": "<string>",
"start_time": 123,
"end_time": 123,
"duration": 123,
"metadata": {},
"feedback": {},
"metrics": {},
"user_properties": {}
}
]
}
'import requests
url = "https://api.honeyhive.ai/v1/sessions/{session_id}/events/batch"
payload = { "events": [
{
"inputs": {},
"project_id": "<string>",
"source": "<string>",
"event_name": "<string>",
"event_id": "<string>",
"session_id": "<string>",
"parent_id": "<string>",
"children_ids": ["<string>"],
"config": {},
"outputs": {},
"error": "<string>",
"start_time": 123,
"end_time": 123,
"duration": 123,
"metadata": {},
"feedback": {},
"metrics": {},
"user_properties": {}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
events: [
{
inputs: {},
project_id: '<string>',
source: '<string>',
event_name: '<string>',
event_id: '<string>',
session_id: '<string>',
parent_id: '<string>',
children_ids: ['<string>'],
config: {},
outputs: {},
error: '<string>',
start_time: 123,
end_time: 123,
duration: 123,
metadata: {},
feedback: {},
metrics: {},
user_properties: {}
}
]
})
};
fetch('https://api.honeyhive.ai/v1/sessions/{session_id}/events/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Sessions
Add a batch of events to a session
Add a batch of events to an existing session. Each event in the batch
is stored with session_id set from the URL path, overriding any
session_id in the event body.
Each event must include event_type (one of chain, model, tool,
session) and inputs. Unknown top-level fields and unknown per-event
fields are rejected. Events are processed sequentially. For
higher-throughput ingestion across sessions, use
POST /v1/events/batch instead.
POST
/
v1
/
sessions
/
{session_id}
/
events
/
batch
Add a batch of events to a session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Session ID to add events to
Body
application/json
Request body for POST /v1/sessions/{session_id}/events/batch
Events to add to the session
Show child attributes
Show child attributes
Response
Events added successfully
Response from adding traces to a session
Was this page helpful?
⌘I

